Imports System.Net
Imports System.Net.Sockets
Imports System.Text
Imports System.IO
Module Module1

    Sub Main()
        Try
            Dim tcpClient As New TcpClient 'creating the client
            Console.WriteLine("Connecting....")
            tcpClient.Connect("127.0.0.1", 8000) 'connecting the client the server
            'port is same as in the server
            Console.WriteLine("Connected")
            Console.Write("Enter the string to be transmitted : ")
            Dim strMessage As String
            strMessage = Console.ReadLine() 'reading the message from console to send
            Dim stm As Stream = tcpClient.GetStream() 'getting the stream of the client
            Dim ascenc As New ASCIIEncoding
            Dim byteData() As Byte = ascenc.GetBytes(strMessage) 'converting the data into bytes
            Console.WriteLine("Transmitting")
            stm.Write(byteData, 0, byteData.Length()) 'writing/transmitting the message
            Dim replymsg(100) As Byte
            Dim size As Integer = stm.Read(replymsg, 0, 100) 'reading the reply message and getting its size
            Console.WriteLine("Acknoledgement from Server")
            For i As Integer = 0 To size
                Console.Write(Convert.ToChar(replymsg(i))) 'writing the reply into the console
            Next
            tcpClient.Close() 'closing the connection
        Catch ex As Exception
            Console.WriteLine("Error..." + ex.StackTrace.ToString()) 'writing the exception into the console
        End Try
    End Sub

End Module
